JonasWebSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.objectweb.jonas.web.JonasWebSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.objectweb.jonas.web
Class JonasWebSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.objectweb.jonas.web.JonasWebSubTask

All Implemented Interfaces:
  Serializable

public class JonasWebSubTask
extends XmlSubTask

Generates the web application deployment descriptor for JOnAS.

Version:
  $Revision: 1.1 $
Author:
  Andrew Stevens
See Also:
  Serialized Form
ant.element
  display-name="JOnAS" name="jonaswebxml" parent="xdoclet.modules.web.WebDocletTask"
created
  03 October 2002

Nested Class Summary
`static class` | `JonasWebSubTask.JonasVersionTypes` JonasVersionTypes class.

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JonasWebSubTask()` Constructor.

Method Summary
`void` | `execute()` Describe what the method does
`String` | `getContextroot()` Return the Context Root.
`String` | `getHost()` Return the Host.
`String` | `getVersion()` Gets the `#version` attribute.
`void` | `setContextroot(String contextRoot)` The context-root element specifies the context root for the web application.
`void` | `setHost(String host)` The host element specifies the name of host used for deploy the web application.
`void` | `setVersion(JonasWebSubTask.JonasVersionTypes version)` Sets the version of JOnAS.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JonasWebSubTask

    public JonasWebSubTask()

  Constructor.

Method Detail

### getContextroot

    public String getContextroot()

  Return the Context Root.

  Returns:
    The Context Root value

### getHost

    public String getHost()

  Return the Host.

  Returns:
    The Host value

### getVersion

    public String getVersion()

  Gets the `#version` attribute.

  Returns:
    The version value.

### setContextroot

    public void setContextroot(String contextRoot)

  The context-root element specifies the context root for the web application.

  Parameters:
    `contextRoot` - The new Context Root value

### setHost

    public void setHost(String host)

  The host element specifies the name of host used for deploy the web application.

  Parameters:
    `host` - The new Host value

### setVersion

    public void setVersion(JonasWebSubTask.JonasVersionTypes version)

  Sets the version of JOnAS. Supported versions are: 2.6.

  Parameters:
    `version` - The new version value. Supported versions are: 2.6.

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD